
QGIS Application - Bug report #918

Incorrect display of Raster

2008-01-24 06:35 AM - Yves Jacolin

Status: Closed

Priority: Low

Assignee: ersts -

Category: Rasters

Affected QGIS version: Regression?: No

Operating System: Mandriva Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 10977

Description

When displaying several raster tiles some blanck lines appear in the map windows. These blank lines appear only when we click on the

"zoom to map extent of the map" tool. If we use the "drag and drop zoom in" tool, no blank line appear.

Note, that some tile are shown with different color. Here is a screenshot :

http://softlibre.free.fr/bug/qgis/0.9.2/bug_raster_line_and_color_1.png

History

#1 - 2008-01-25 10:54 AM - ersts -

yjacolin,

Could you provide a little more information regarding the data you are using?

Q - What data type are each tile? geotiff, IMG, etc.

Q - What projection are these data in?

Q - Approximately what is the size pixel dim and file size of each tile?

Q - If you load only two adjacent tiles (that have a blank band between them in the screen shot you provided) do you still experience the same result?

Q - Is the data you are using freely accessible, if so could you provide a link to that data provider or a sample of two adjacent tiles that have a blank band in

between them?

Regarding the tiles appear a little red/pink, there is no histogram matching between images, so it is likely there are just some slight differences in contrast

enhancement because of the way the initial min max are being estimated on initial loading. If you modify the contrast by hand or even try to "load min max

from band" I am certain they will match more closely.

#2 - 2008-01-29 01:53 AM - Yves Jacolin

Hi erts,

Q - What data type are each tile? geotiff, IMG, etc.

The format is ECW.
http://softlibre.free.fr/bug/qgis/0.9.2/bug_raster_line_and_color_1.png


Q - What projection are these data in?

The projection is lambert 2 étendue (EPSG: 27572)

Q - Approximately what is the size pixel dim and file size of each tile?

File size: 320 Mo to 35 Mo par tuile, Size is 10000, 10000 px

Q - If you load only two adjacent tiles (that have a blank band between them in the screen shot you provided) do you still experience the same

result?

Yes, I do, while with four tiles I have not this problem.

Q - Is the data you are using freely accessible, if so could you provide a link to that data provider or a sample of two adjacent tiles that have a blank

band in between them?

Sorry, the files are not freely available :(

Regarding the tiles appear a little red/pink, there is no histogram matching between images, so it is likely there are just some slight differences in

contrast enhancement because of the way the initial min max are being estimated on initial loading. If you modify the contrast by hand or even try to

"load min max from band" I am certain they will match more closely.

Your are right, this option corrected the difference. Thanks.

Y.

#3 - 2008-04-18 07:21 AM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Open to Closed

Looks like this is resolved.  Feel free to reopen

#4 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted
